NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Features::CurveFinderBuilder Class Reference

Represents a collection of curves and their relationships to other curves in the model
Created in NX11.0.0. More...

Inheritance diagram for NXOpen::Features::CurveFinderBuilder:
NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

void AddChamfer ()
 Adds chamfer relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void AddCoincident ()
 Adds coincident vertex relations of the last vertexes added to curve collector
Created in NX11.0.0. More...
 
void AddCoincident2dComponent ()
 Adds coincident 2d component relations of the last curves added to curve collector
Created in NX11.0.1. More...
 
void AddCoincidentSketchGroup ()
 Adds coincident sketch group relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void AddConcentric ()
 Adds concentric relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void AddConcentric2dComponent ()
 Adds concentric 2d component relations of the last curves added to curve collector
Created in NX11.0.1. More...
 
void AddConcentricSketchGroup ()
 Adds concentric sketch group relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void AddConlinear ()
 Adds conlinear relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void AddConlinear2dComponent ()
 Adds conlinear 2d component relations of the last curves added to curve collector
Created in NX11.0.1. More...
 
void AddConlinearSketchGroup ()
 Adds conlinear sketch group relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void AddEqualRadius ()
 Adds equal radius relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void AddEqualRadius2dComponent ()
 Adds equal radius 2d component relations of the last curves added to curve collector
Created in NX11.0.1. More...
 
void AddEqualRadiusSketchGroup ()
 Adds equal radius sketch group relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void AddOffset ()
 Adds offset relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void AddOffset2dComponent ()
 Adds offset 2d component relations of the last curves added to curve collector
Created in NX11.0.1. More...
 
void AddOffsetSketchGroup ()
 Adds offset sketch group relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void AddParallel ()
 Adds parallel relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void AddParallel2dComponent ()
 Adds parallel 2d component relations of the last curves added to curve collector
Created in NX11.0.1. More...
 
void AddParallelSketchGroup ()
 Adds parallel sketch group relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void AddSymmetric (int planeType)
 Add symmetric relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void AddTangent ()
 Adds tangent relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void AddTangent2dComponent ()
 Adds tangent 2d component relations of the last curves added to curve collector
Created in NX11.0.1. More...
 
void AddTangentSketchGroup ()
 Adds tangent sketch group relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void AddVertexOnCurve ()
 Adds vertex on curve relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void AddVertexOnCurve2dComponent ()
 Adds vertex on curve 2d component relations of the last curves added to curve collector
Created in NX11.0.1. More...
 
void AddVertexOnCurveSketchGroup ()
 Adds vertex on curve sketch group relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
bool ChamferEnabled ()
 Returns a value that indicates whether add chamfer relation recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
bool CoincidentVertex2dComponentEnabled ()
 Returns a value that indicates whether add coincident vertex 2d component relation recognition for the last curves added to curve collector
Created in NX11.0.1. More...
 
bool CoincidentVertexEnabled ()
 Returns a value that indicates whether add coincident vertex relation recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
bool CoincidentVertexSketchGroupEnabled ()
 Returns a value that indicates whether add coincident vertex relation recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
bool Collinear2dComponentEnabled ()
 Returns a value that indicates whether add collinear 2d component relation recognition for the last curves added to curve collector
Created in NX11.0.1. More...
 
bool CollinearEnabled ()
 Returns a value that indicates whether add collinear relation recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
bool CollinearSketchGroupEnabled ()
 Returns a value that indicates whether add collinear relation recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
int CompoundGeometryRelationScope ()
 Returns a value that indicates what kind of 2d component relations are needed to recognize
Created in NX11.0.1. More...
 
bool Concentric2dComponentEnabled ()
 Returns a value that indicates whether add concentric 2d component relation recognition for the last curves added to curve collector
Created in NX11.0.1. More...
 
bool ConcentricEnabled ()
 Returns a value that indicates whether add concentric relation recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
bool ConcentricSketchGroupEnabled ()
 Returns a value that indicates whether add concentric relation recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
NXOpen::SelectDisplayableObjectListCurvePointList ()
 Returns the curve and point collector
Created in NX11.0.0. More...
 
NXOpen::ScCollectorCurveSection ()
 Returns the curve collector
More...
 
void DeselectCurves (const std::vector< NXOpen::NXObject * > &curves)
 Removes curves from collector
Created in NX11.0.0. More...
 
void DeselectSnapPoint (NXOpen::TaggedObject *selectedCurve, const NXOpen::Point3d &point)
 Removes snap point from collector
Created in NX12.0.0. More...
 
void DeselectSymmetryReference (NXOpen::NXObject *symmetryReference)
 Deselect entity for symmetry reference
Created in NX11.0.0. More...
 
bool EqualRadius2dComponentEnabled ()
 Returns a value that indicates whether add equal radius 2d component recognition for the last curves added to curve collector
Created in NX11.0.1. More...
 
bool EqualRadiusEnabled ()
 Returns a value that indicates whether add equal radius recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
bool EqualRadiusSketchGroupEnabled ()
 Returns a value that indicates whether add equal radius recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
void FindRelationCurve (const std::vector< NXOpen::NXObject * > &selectedCurves)
 Finds relation curves
Created in NX11.0.0. More...
 
void FindScopeCurve (const std::vector< NXOpen::NXObject * > &selectedCurves)
 Finds relation curves in the scope
Created in NX11.0.0. More...
 
int FindScopeOption ()
 Returns a value that indicates which find scope option is
Created in NX11.0.0. More...
 
bool Offset2dComponentEnabled ()
 Returns a value that indicates whether add offset 2d component relation recognition for the last curves added to curve collector
Created in NX11.0.1. More...
 
bool OffsetEnabled ()
 Returns a value that indicates whether add offset relation recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
bool OffsetSketchGroupEnabled ()
 Returns a value that indicates whether add offset relation recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
bool Parallel2dComponentEnabled ()
 Returns a value that indicates whether add parallel 2d component relation recognition for the last curves added to curve collector
Created in NX11.0.1. More...
 
bool ParallelEnabled ()
 Returns a value that indicates whether add parallel relation recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
bool ParallelSketchGroupEnabled ()
 Returns a value that indicates whether add parallel relation recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
void RecognizeRigid (NXOpen::NXObject *constraintTag)
 Recognize rigid from the recognized relation
Created in NX11.0.0. More...
 
int RelationScope ()
 Returns a value that indicates what kind of relations are needed to recognize
Created in NX11.0.0. More...
 
void RemoveChamfer ()
 Removes chamfer relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void RemoveCoincident ()
 Removes coincident vertex relations of the last vertexes added to curve collector
Created in NX11.0.0. More...
 
void RemoveCoincident2dComponent ()
 Removes coincident 2d component relations of the last curves added to curve collector
Created in NX11.0.1. More...
 
void RemoveCoincidentSketchGroup ()
 Removes coincident sketch group relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void RemoveConcentric ()
 Removes concentric relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void RemoveConcentric2dComponent ()
 Removes concentric 2d component relations of the last curves added to curve collector
Created in NX11.0.1. More...
 
void RemoveConcentricSketchGroup ()
 Removes concentric sketch group relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void RemoveConlinear ()
 Removes conlinear relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void RemoveConlinear2dComponent ()
 Removes conlinear 2d component relations of the last curves added to curve collector
Created in NX11.0.1. More...
 
void RemoveConlinearSketchGroup ()
 Removes conlinear sketch group relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void RemoveEngineNodes ()
 Close the VTK interaction and Remove all nodes from the Engine
Created in NX11.0.0. More...
 
void RemoveEqualRadius ()
 Removes equal radius relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void RemoveEqualRadius2dComponent ()
 Removes equal radius 2d component relations of the last curves added to curve collector
Created in NX11.0.1. More...
 
void RemoveEqualRadiusSketchGroup ()
 Removes equal radius sketch group relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void RemoveIncludedConstraints ()
 Remove all the included constraint
Created in NX11.0.0. More...
 
void RemoveOffset ()
 Removes offset relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void RemoveOffset2dComponent ()
 Removes offset 2d component relations of the last curves added to curve collector
Created in NX11.0.1. More...
 
void RemoveOffsetSketchGroup ()
 Removes offset sketch group relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void RemoveParallel ()
 Removes parallel relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void RemoveParallel2dComponent ()
 Removes parallel 2d component relations of the last curves added to curve collector
Created in NX11.0.1. More...
 
void RemoveParallelSketchGroup ()
 Removes parallel sketch group relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void RemoveSymmetric (int planeType)
 Removes symmetric relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void RemoveTangent ()
 Removes tangent relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void RemoveTangent2dComponent ()
 Removes tangent 2d component relations of the last curves added to curve collector
Created in NX11.0.1. More...
 
void RemoveTangentSketchGroup ()
 Removes tangent sketch group relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void RemoveVertexOnCurve ()
 Removes vertex on curve relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void RemoveVertexOnCurve2dComponent ()
 Removes vertex on curve 2d component relations of the last curves added to curve collector
Created in NX11.0.1. More...
 
void RemoveVertexOnCurveSketchGroup ()
 Removes vertex on curve sketch group relations of the last curves added to curve collector
Created in NX11.0.0. More...
 
void RestoreEngineNodes ()
 ReStore all nodes from the Engine On Undo
Created in NX11.0.0. More...
 
void SelectCurves (const std::vector< NXOpen::NXObject * > &curves)
 Adds curves to collector
Created in NX11.0.0. More...
 
void SelectSnapPoint (NXOpen::TaggedObject *selectedCurve, const NXOpen::Point3d &point)
 Adds snap point to collector
Created in NX12.0.0. More...
 
void SelectSymmetryReference (NXOpen::NXObject *symmetryReference)
 Selects entity for symmetry reference
Created in NX11.0.0. More...
 
void SetChamferEnabled (bool chamferEnabled)
 Sets a value that indicates whether add chamfer relation recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
void SetCoincidentVertex2dComponentEnabled (bool coincidentVertex2dComponentEnabled)
 Sets a value that indicates whether add coincident vertex 2d component relation recognition for the last curves added to curve collector
Created in NX11.0.1. More...
 
void SetCoincidentVertexEnabled (bool coincidentVertexEnabled)
 Sets a value that indicates whether add coincident vertex relation recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
void SetCoincidentVertexSketchGroupEnabled (bool coincidentVertexEnabled)
 Sets a value that indicates whether add coincident vertex relation recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
void SetCollinear2dComponentEnabled (bool collinear2dComponentEnabled)
 Sets a value that indicates whether add collinear 2d component relation recognition for the last curves added to curve collector
Created in NX11.0.1. More...
 
void SetCollinearEnabled (bool collinearEnabled)
 Sets a value that indicates whether add collinear relation recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
void SetCollinearSketchGroupEnabled (bool collinearEnabled)
 Sets a value that indicates whether add collinear relation recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
void SetCompoundGeometryRelationScope (int relationScope)
 Sets a value that indicates what kind of 2d component relations are needed to recognize
Created in NX11.0.1. More...
 
void SetConcentric2dComponentEnabled (bool concentricComponentGeometryEnabled)
 Sets a value that indicates whether add concentric 2d component relation recognition for the last curves added to curve collector
Created in NX11.0.1. More...
 
void SetConcentricEnabled (bool concentricEnabled)
 Sets a value that indicates whether add concentric relation recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
void SetConcentricSketchGroupEnabled (bool concentricEnabled)
 Sets a value that indicates whether add concentric relation recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Set the distance Tolerance for loop Recognization
Created in NX11.0.0. More...
 
void SetEqualRadius2dComponentEnabled (bool equalRadius2dComponentEnabled)
 Sets a value that indicates whether add equal radius 2d component recognition for the last curves added to curve collector
Created in NX11.0.1. More...
 
void SetEqualRadiusEnabled (bool equalRadiusEnabled)
 Sets a value that indicates whether add equal radius recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
void SetEqualRadiusSketchGroupEnabled (bool equalRadiusEnabled)
 Sets a value that indicates whether add equal radius recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
void SetFindScopeOption (int scopeOption)
 Sets a value that indicates which find scope option is
Created in NX11.0.0. More...
 
void SetOffset2dComponentEnabled (bool offset2dComponentEnabled)
 Sets a value that indicates whether add offset 2d component relation recognition for the last curves added to curve collector
Created in NX11.0.1. More...
 
void SetOffsetEnabled (bool offsetEnabled)
 Sets a value that indicates whether add offset relation recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
void SetOffsetSketchGroupEnabled (bool offsetEnabled)
 Sets a value that indicates whether add offset relation recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
void SetParallel2dComponentEnabled (bool parallel2dComponentEnabled)
 Sets a value that indicates whether add parallel 2d component relation recognition for the last curves added to curve collector
Created in NX11.0.1. More...
 
void SetParallelEnabled (bool parallelEnabled)
 Sets a value that indicates whether add parallel relation recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
void SetParallelSketchGroupEnabled (bool parallelEnabled)
 Sets a value that indicates whether add parallel relation recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
void SetRelationScope (int relationScope)
 Sets a value that indicates what kind of relations are needed to recognize
Created in NX11.0.0. More...
 
void SetSketchGroupRelationScope (int relationScope)
 Sets a value that indicates what kind of sketch group relations are needed to recognize
Created in NX11.0.0. More...
 
void SetSymmetricEnabled (bool symmetricEnabled)
 Sets a value that indicates whether add symmetric relation recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
void SetSymmetryOption (int symmetryOption)
 Sets a value that indicates which symmetric option is
Created in NX11.0.0. More...
 
void SetTangent2dComponentEnabled (bool tangent2dComponentEnabled)
 Sets a value that indicates whether add tangent 2d component relation recognition for the last curves added to curve collector
Created in NX11.0.1. More...
 
void SetTangentEnabled (bool tangentEnabled)
 Sets a value that indicates whether add tangent relation recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
void SetTangentSketchGroupEnabled (bool tangentSketchGroupEnabled)
 Sets a value that indicates whether add tangent relation recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
void SetUseCurveFinder (bool curveBrowseEnabled)
 Sets a value that indicates whether relation recognition is enabled
Created in NX11.0.0. More...
 
void SetVertexOnCurve2dComponentEnabled (bool vertexOnCurve2dComponentEnabled)
 Sets a value that indicates whether add vertex on curve 2d component relation recognition for the last vertexes added to the collector
Created in NX11.0.1. More...
 
void SetVertexOnCurveEnabled (bool vertexOnCurveEnabled)
 Sets a value that indicates whether add vertex on curve relation recognition for the last vertexes added to the collector
Created in NX11.0.0. More...
 
void SetVertexOnCurveSketchGroupEnabled (bool vertexOnCurveEnabled)
 Sets a value that indicates whether add vertex on curve relation recognition for the last vertexes added to the collector
Created in NX11.0.0. More...
 
int SketchGroupRelationScope ()
 Returns a value that indicates what kind of sketch group relations are needed to recognize
Created in NX11.0.0. More...
 
bool SymmetricEnabled ()
 Returns a value that indicates whether add symmetric relation recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
int SymmetryOption ()
 Returns a value that indicates which symmetric option is
Created in NX11.0.0. More...
 
NXOpen::SelectNXObjectSymmetryReference ()
 Returns the symmetry line reference
Created in NX11.0.0. More...
 
bool Tangent2dComponentEnabled ()
 Returns a value that indicates whether add tangent 2d component relation recognition for the last curves added to curve collector
Created in NX11.0.1. More...
 
bool TangentEnabled ()
 Returns a value that indicates whether add tangent relation recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
bool TangentSketchGroupEnabled ()
 Returns a value that indicates whether add tangent relation recognition for the last curves added to curve collector
Created in NX11.0.0. More...
 
void UnrecognizeRigid (NXOpen::NXObject *constraintTag)
 Unrecognize rigid from the unrecognized relation
Created in NX11.0.0. More...
 
bool UseCurveFinder ()
 Returns a value that indicates whether relation recognition is enabled
Created in NX11.0.0. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
bool VertexOnCurve2dComponentEnabled ()
 Returns a value that indicates whether add vertex on curve 2d component relation recognition for the last vertexes added to the collector
Created in NX11.0.1. More...
 
bool VertexOnCurveEnabled ()
 Returns a value that indicates whether add vertex on curve relation recognition for the last vertexes added to the collector
Created in NX11.0.0. More...
 
bool VertexOnCurveSketchGroupEnabled ()
 Returns a value that indicates whether add vertex on curve relation recognition for the last vertexes added to the collector
Created in NX11.0.0. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of curves and their relationships to other curves in the model
Created in NX11.0.0.


Member Function Documentation

void NXOpen::Features::CurveFinderBuilder::AddChamfer ( )

Adds chamfer relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::AddCoincident ( )

Adds coincident vertex relations of the last vertexes added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::AddCoincident2dComponent ( )

Adds coincident 2d component relations of the last curves added to curve collector
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::AddCoincidentSketchGroup ( )

Adds coincident sketch group relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::AddConcentric ( )

Adds concentric relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::AddConcentric2dComponent ( )

Adds concentric 2d component relations of the last curves added to curve collector
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::AddConcentricSketchGroup ( )

Adds concentric sketch group relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::AddConlinear ( )

Adds conlinear relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::AddConlinear2dComponent ( )

Adds conlinear 2d component relations of the last curves added to curve collector
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::AddConlinearSketchGroup ( )

Adds conlinear sketch group relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::AddEqualRadius ( )

Adds equal radius relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::AddEqualRadius2dComponent ( )

Adds equal radius 2d component relations of the last curves added to curve collector
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::AddEqualRadiusSketchGroup ( )

Adds equal radius sketch group relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::AddOffset ( )

Adds offset relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::AddOffset2dComponent ( )

Adds offset 2d component relations of the last curves added to curve collector
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::AddOffsetSketchGroup ( )

Adds offset sketch group relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::AddParallel ( )

Adds parallel relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::AddParallel2dComponent ( )

Adds parallel 2d component relations of the last curves added to curve collector
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::AddParallelSketchGroup ( )

Adds parallel sketch group relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::AddSymmetric ( int  planeType)

Add symmetric relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
planeTypeplanetype
void NXOpen::Features::CurveFinderBuilder::AddTangent ( )

Adds tangent relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::AddTangent2dComponent ( )

Adds tangent 2d component relations of the last curves added to curve collector
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::AddTangentSketchGroup ( )

Adds tangent sketch group relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::AddVertexOnCurve ( )

Adds vertex on curve relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::AddVertexOnCurve2dComponent ( )

Adds vertex on curve 2d component relations of the last curves added to curve collector
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::AddVertexOnCurveSketchGroup ( )

Adds vertex on curve sketch group relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

bool NXOpen::Features::CurveFinderBuilder::ChamferEnabled ( )

Returns a value that indicates whether add chamfer relation recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : None

bool NXOpen::Features::CurveFinderBuilder::CoincidentVertex2dComponentEnabled ( )

Returns a value that indicates whether add coincident vertex 2d component relation recognition for the last curves added to curve collector
Created in NX11.0.1.



License requirements : None

bool NXOpen::Features::CurveFinderBuilder::CoincidentVertexEnabled ( )

Returns a value that indicates whether add coincident vertex relation recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : None

bool NXOpen::Features::CurveFinderBuilder::CoincidentVertexSketchGroupEnabled ( )

Returns a value that indicates whether add coincident vertex relation recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : None

bool NXOpen::Features::CurveFinderBuilder::Collinear2dComponentEnabled ( )

Returns a value that indicates whether add collinear 2d component relation recognition for the last curves added to curve collector
Created in NX11.0.1.



License requirements : None

bool NXOpen::Features::CurveFinderBuilder::CollinearEnabled ( )

Returns a value that indicates whether add collinear relation recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : None

bool NXOpen::Features::CurveFinderBuilder::CollinearSketchGroupEnabled ( )

Returns a value that indicates whether add collinear relation recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : None

int NXOpen::Features::CurveFinderBuilder::CompoundGeometryRelationScope ( )

Returns a value that indicates what kind of 2d component relations are needed to recognize
Created in NX11.0.1.



License requirements : None

bool NXOpen::Features::CurveFinderBuilder::Concentric2dComponentEnabled ( )

Returns a value that indicates whether add concentric 2d component relation recognition for the last curves added to curve collector
Created in NX11.0.1.



License requirements : None

bool NXOpen::Features::CurveFinderBuilder::ConcentricEnabled ( )

Returns a value that indicates whether add concentric relation recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : None

bool NXOpen::Features::CurveFinderBuilder::ConcentricSketchGroupEnabled ( )

Returns a value that indicates whether add concentric relation recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : None

NXOpen::SelectDisplayableObjectList* NXOpen::Features::CurveFinderBuilder::CurvePointList ( )

Returns the curve and point collector
Created in NX11.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::CurveFinderBuilder::CurveSection ( )

Returns the curve collector

Deprecated:
Deprecated in NX10.0.0.

This is for pre NX10 usage, do not use this method.


Created in NX11.0.0.

License requirements : None

void NXOpen::Features::CurveFinderBuilder::DeselectCurves ( const std::vector< NXOpen::NXObject * > &  curves)

Removes curves from collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
curvescurves
void NXOpen::Features::CurveFinderBuilder::DeselectSnapPoint ( NXOpen::TaggedObject selectedCurve,
const NXOpen::Point3d point 
)

Removes snap point from collector
Created in NX12.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
selectedCurveselected curve
pointselected point
void NXOpen::Features::CurveFinderBuilder::DeselectSymmetryReference ( NXOpen::NXObject symmetryReference)

Deselect entity for symmetry reference
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
symmetryReferencesymmetryreference
bool NXOpen::Features::CurveFinderBuilder::EqualRadius2dComponentEnabled ( )

Returns a value that indicates whether add equal radius 2d component recognition for the last curves added to curve collector
Created in NX11.0.1.



License requirements : None

bool NXOpen::Features::CurveFinderBuilder::EqualRadiusEnabled ( )

Returns a value that indicates whether add equal radius recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : None

bool NXOpen::Features::CurveFinderBuilder::EqualRadiusSketchGroupEnabled ( )

Returns a value that indicates whether add equal radius recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : None

void NXOpen::Features::CurveFinderBuilder::FindRelationCurve ( const std::vector< NXOpen::NXObject * > &  selectedCurves)

Finds relation curves
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
selectedCurvesselectedcurves
void NXOpen::Features::CurveFinderBuilder::FindScopeCurve ( const std::vector< NXOpen::NXObject * > &  selectedCurves)

Finds relation curves in the scope
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
selectedCurvesselectedcurves
int NXOpen::Features::CurveFinderBuilder::FindScopeOption ( )

Returns a value that indicates which find scope option is
Created in NX11.0.0.



License requirements : None

bool NXOpen::Features::CurveFinderBuilder::Offset2dComponentEnabled ( )

Returns a value that indicates whether add offset 2d component relation recognition for the last curves added to curve collector
Created in NX11.0.1.



License requirements : None

bool NXOpen::Features::CurveFinderBuilder::OffsetEnabled ( )

Returns a value that indicates whether add offset relation recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : None

bool NXOpen::Features::CurveFinderBuilder::OffsetSketchGroupEnabled ( )

Returns a value that indicates whether add offset relation recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : None

bool NXOpen::Features::CurveFinderBuilder::Parallel2dComponentEnabled ( )

Returns a value that indicates whether add parallel 2d component relation recognition for the last curves added to curve collector
Created in NX11.0.1.



License requirements : None

bool NXOpen::Features::CurveFinderBuilder::ParallelEnabled ( )

Returns a value that indicates whether add parallel relation recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : None

bool NXOpen::Features::CurveFinderBuilder::ParallelSketchGroupEnabled ( )

Returns a value that indicates whether add parallel relation recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : None

void NXOpen::Features::CurveFinderBuilder::RecognizeRigid ( NXOpen::NXObject constraintTag)

Recognize rigid from the recognized relation
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
constraintTagconstrainttag
int NXOpen::Features::CurveFinderBuilder::RelationScope ( )

Returns a value that indicates what kind of relations are needed to recognize
Created in NX11.0.0.



License requirements : None

void NXOpen::Features::CurveFinderBuilder::RemoveChamfer ( )

Removes chamfer relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::RemoveCoincident ( )

Removes coincident vertex relations of the last vertexes added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::RemoveCoincident2dComponent ( )

Removes coincident 2d component relations of the last curves added to curve collector
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::RemoveCoincidentSketchGroup ( )

Removes coincident sketch group relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::RemoveConcentric ( )

Removes concentric relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::RemoveConcentric2dComponent ( )

Removes concentric 2d component relations of the last curves added to curve collector
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::RemoveConcentricSketchGroup ( )

Removes concentric sketch group relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::RemoveConlinear ( )

Removes conlinear relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::RemoveConlinear2dComponent ( )

Removes conlinear 2d component relations of the last curves added to curve collector
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::RemoveConlinearSketchGroup ( )

Removes conlinear sketch group relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::RemoveEngineNodes ( )

Close the VTK interaction and Remove all nodes from the Engine
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::RemoveEqualRadius ( )

Removes equal radius relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::RemoveEqualRadius2dComponent ( )

Removes equal radius 2d component relations of the last curves added to curve collector
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::RemoveEqualRadiusSketchGroup ( )

Removes equal radius sketch group relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::RemoveIncludedConstraints ( )

Remove all the included constraint
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::RemoveOffset ( )

Removes offset relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::RemoveOffset2dComponent ( )

Removes offset 2d component relations of the last curves added to curve collector
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::RemoveOffsetSketchGroup ( )

Removes offset sketch group relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::RemoveParallel ( )

Removes parallel relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::RemoveParallel2dComponent ( )

Removes parallel 2d component relations of the last curves added to curve collector
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::RemoveParallelSketchGroup ( )

Removes parallel sketch group relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::RemoveSymmetric ( int  planeType)

Removes symmetric relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
planeTypeplanetype
void NXOpen::Features::CurveFinderBuilder::RemoveTangent ( )

Removes tangent relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::RemoveTangent2dComponent ( )

Removes tangent 2d component relations of the last curves added to curve collector
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::RemoveTangentSketchGroup ( )

Removes tangent sketch group relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::RemoveVertexOnCurve ( )

Removes vertex on curve relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::RemoveVertexOnCurve2dComponent ( )

Removes vertex on curve 2d component relations of the last curves added to curve collector
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::RemoveVertexOnCurveSketchGroup ( )

Removes vertex on curve sketch group relations of the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::RestoreEngineNodes ( )

ReStore all nodes from the Engine On Undo
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::Features::CurveFinderBuilder::SelectCurves ( const std::vector< NXOpen::NXObject * > &  curves)

Adds curves to collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
curvescurves
void NXOpen::Features::CurveFinderBuilder::SelectSnapPoint ( NXOpen::TaggedObject selectedCurve,
const NXOpen::Point3d point 
)

Adds snap point to collector
Created in NX12.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
selectedCurveselected curve
pointselected point
void NXOpen::Features::CurveFinderBuilder::SelectSymmetryReference ( NXOpen::NXObject symmetryReference)

Selects entity for symmetry reference
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
symmetryReferencesymmetryreference
void NXOpen::Features::CurveFinderBuilder::SetChamferEnabled ( bool  chamferEnabled)

Sets a value that indicates whether add chamfer relation recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
chamferEnabledchamferenabled
void NXOpen::Features::CurveFinderBuilder::SetCoincidentVertex2dComponentEnabled ( bool  coincidentVertex2dComponentEnabled)

Sets a value that indicates whether add coincident vertex 2d component relation recognition for the last curves added to curve collector
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
coincidentVertex2dComponentEnabledcoincidentvertex2dcomponentenabled
void NXOpen::Features::CurveFinderBuilder::SetCoincidentVertexEnabled ( bool  coincidentVertexEnabled)

Sets a value that indicates whether add coincident vertex relation recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
coincidentVertexEnabledcoincidentvertexenabled
void NXOpen::Features::CurveFinderBuilder::SetCoincidentVertexSketchGroupEnabled ( bool  coincidentVertexEnabled)

Sets a value that indicates whether add coincident vertex relation recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
coincidentVertexEnabledcoincidentvertexenabled
void NXOpen::Features::CurveFinderBuilder::SetCollinear2dComponentEnabled ( bool  collinear2dComponentEnabled)

Sets a value that indicates whether add collinear 2d component relation recognition for the last curves added to curve collector
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
collinear2dComponentEnabledcollinear2dcomponentenabled
void NXOpen::Features::CurveFinderBuilder::SetCollinearEnabled ( bool  collinearEnabled)

Sets a value that indicates whether add collinear relation recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
collinearEnabledcollinearenabled
void NXOpen::Features::CurveFinderBuilder::SetCollinearSketchGroupEnabled ( bool  collinearEnabled)

Sets a value that indicates whether add collinear relation recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
collinearEnabledcollinearenabled
void NXOpen::Features::CurveFinderBuilder::SetCompoundGeometryRelationScope ( int  relationScope)

Sets a value that indicates what kind of 2d component relations are needed to recognize
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
relationScoperelationscope
void NXOpen::Features::CurveFinderBuilder::SetConcentric2dComponentEnabled ( bool  concentricComponentGeometryEnabled)

Sets a value that indicates whether add concentric 2d component relation recognition for the last curves added to curve collector
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
concentricComponentGeometryEnabledconcentriccomponentgeometryenabled
void NXOpen::Features::CurveFinderBuilder::SetConcentricEnabled ( bool  concentricEnabled)

Sets a value that indicates whether add concentric relation recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
concentricEnabledconcentricenabled
void NXOpen::Features::CurveFinderBuilder::SetConcentricSketchGroupEnabled ( bool  concentricEnabled)

Sets a value that indicates whether add concentric relation recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
concentricEnabledconcentricenabled
void NXOpen::Features::CurveFinderBuilder::SetDistanceTolerance ( double  distanceTolerance)

Set the distance Tolerance for loop Recognization
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
distanceTolerancedistancetolerance
void NXOpen::Features::CurveFinderBuilder::SetEqualRadius2dComponentEnabled ( bool  equalRadius2dComponentEnabled)

Sets a value that indicates whether add equal radius 2d component recognition for the last curves added to curve collector
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
equalRadius2dComponentEnabledequalradius2dcomponentenabled
void NXOpen::Features::CurveFinderBuilder::SetEqualRadiusEnabled ( bool  equalRadiusEnabled)

Sets a value that indicates whether add equal radius recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
equalRadiusEnabledequalradiusenabled
void NXOpen::Features::CurveFinderBuilder::SetEqualRadiusSketchGroupEnabled ( bool  equalRadiusEnabled)

Sets a value that indicates whether add equal radius recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
equalRadiusEnabledequalradiusenabled
void NXOpen::Features::CurveFinderBuilder::SetFindScopeOption ( int  scopeOption)

Sets a value that indicates which find scope option is
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
scopeOptionscopeoption
void NXOpen::Features::CurveFinderBuilder::SetOffset2dComponentEnabled ( bool  offset2dComponentEnabled)

Sets a value that indicates whether add offset 2d component relation recognition for the last curves added to curve collector
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
offset2dComponentEnabledoffset2dcomponentenabled
void NXOpen::Features::CurveFinderBuilder::SetOffsetEnabled ( bool  offsetEnabled)

Sets a value that indicates whether add offset relation recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
offsetEnabledoffsetenabled
void NXOpen::Features::CurveFinderBuilder::SetOffsetSketchGroupEnabled ( bool  offsetEnabled)

Sets a value that indicates whether add offset relation recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
offsetEnabledoffsetenabled
void NXOpen::Features::CurveFinderBuilder::SetParallel2dComponentEnabled ( bool  parallel2dComponentEnabled)

Sets a value that indicates whether add parallel 2d component relation recognition for the last curves added to curve collector
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
parallel2dComponentEnabledparallel2dcomponentenabled
void NXOpen::Features::CurveFinderBuilder::SetParallelEnabled ( bool  parallelEnabled)

Sets a value that indicates whether add parallel relation recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
parallelEnabledparallelenabled
void NXOpen::Features::CurveFinderBuilder::SetParallelSketchGroupEnabled ( bool  parallelEnabled)

Sets a value that indicates whether add parallel relation recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
parallelEnabledparallelenabled
void NXOpen::Features::CurveFinderBuilder::SetRelationScope ( int  relationScope)

Sets a value that indicates what kind of relations are needed to recognize
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
relationScoperelationscope
void NXOpen::Features::CurveFinderBuilder::SetSketchGroupRelationScope ( int  relationScope)

Sets a value that indicates what kind of sketch group relations are needed to recognize
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
relationScoperelationscope
void NXOpen::Features::CurveFinderBuilder::SetSymmetricEnabled ( bool  symmetricEnabled)

Sets a value that indicates whether add symmetric relation recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
symmetricEnabledsymmetricenabled
void NXOpen::Features::CurveFinderBuilder::SetSymmetryOption ( int  symmetryOption)

Sets a value that indicates which symmetric option is
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
symmetryOptionsymmetryoption
void NXOpen::Features::CurveFinderBuilder::SetTangent2dComponentEnabled ( bool  tangent2dComponentEnabled)

Sets a value that indicates whether add tangent 2d component relation recognition for the last curves added to curve collector
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
tangent2dComponentEnabledtangent2dcomponentenabled
void NXOpen::Features::CurveFinderBuilder::SetTangentEnabled ( bool  tangentEnabled)

Sets a value that indicates whether add tangent relation recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
tangentEnabledtangentenabled
void NXOpen::Features::CurveFinderBuilder::SetTangentSketchGroupEnabled ( bool  tangentSketchGroupEnabled)

Sets a value that indicates whether add tangent relation recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
tangentSketchGroupEnabledtangentsketchgroupenabled
void NXOpen::Features::CurveFinderBuilder::SetUseCurveFinder ( bool  curveBrowseEnabled)

Sets a value that indicates whether relation recognition is enabled
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
curveBrowseEnabledcurvebrowseenabled
void NXOpen::Features::CurveFinderBuilder::SetVertexOnCurve2dComponentEnabled ( bool  vertexOnCurve2dComponentEnabled)

Sets a value that indicates whether add vertex on curve 2d component relation recognition for the last vertexes added to the collector
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
vertexOnCurve2dComponentEnabledvertexoncurve2dcomponentenabled
void NXOpen::Features::CurveFinderBuilder::SetVertexOnCurveEnabled ( bool  vertexOnCurveEnabled)

Sets a value that indicates whether add vertex on curve relation recognition for the last vertexes added to the collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
vertexOnCurveEnabledvertexoncurveenabled
void NXOpen::Features::CurveFinderBuilder::SetVertexOnCurveSketchGroupEnabled ( bool  vertexOnCurveEnabled)

Sets a value that indicates whether add vertex on curve relation recognition for the last vertexes added to the collector
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
vertexOnCurveEnabledvertexoncurveenabled
int NXOpen::Features::CurveFinderBuilder::SketchGroupRelationScope ( )

Returns a value that indicates what kind of sketch group relations are needed to recognize
Created in NX11.0.0.



License requirements : None

bool NXOpen::Features::CurveFinderBuilder::SymmetricEnabled ( )

Returns a value that indicates whether add symmetric relation recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : None

int NXOpen::Features::CurveFinderBuilder::SymmetryOption ( )

Returns a value that indicates which symmetric option is
Created in NX11.0.0.



License requirements : None

NXOpen::SelectNXObject* NXOpen::Features::CurveFinderBuilder::SymmetryReference ( )

Returns the symmetry line reference
Created in NX11.0.0.



License requirements : None

bool NXOpen::Features::CurveFinderBuilder::Tangent2dComponentEnabled ( )

Returns a value that indicates whether add tangent 2d component relation recognition for the last curves added to curve collector
Created in NX11.0.1.



License requirements : None

bool NXOpen::Features::CurveFinderBuilder::TangentEnabled ( )

Returns a value that indicates whether add tangent relation recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : None

bool NXOpen::Features::CurveFinderBuilder::TangentSketchGroupEnabled ( )

Returns a value that indicates whether add tangent relation recognition for the last curves added to curve collector
Created in NX11.0.0.



License requirements : None

void NXOpen::Features::CurveFinderBuilder::UnrecognizeRigid ( NXOpen::NXObject constraintTag)

Unrecognize rigid from the unrecognized relation
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
constraintTagconstrainttag
bool NXOpen::Features::CurveFinderBuilder::UseCurveFinder ( )

Returns a value that indicates whether relation recognition is enabled
Created in NX11.0.0.



License requirements : None

virtual bool NXOpen::Features::CurveFinderBuilder::Validate ( )
virtual

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Returns
Was self validation successful
Created in NX3.0.1.

License requirements : None

Implements NXOpen::GeometricUtilities::IComponentBuilder.

bool NXOpen::Features::CurveFinderBuilder::VertexOnCurve2dComponentEnabled ( )

Returns a value that indicates whether add vertex on curve 2d component relation recognition for the last vertexes added to the collector
Created in NX11.0.1.



License requirements : None

bool NXOpen::Features::CurveFinderBuilder::VertexOnCurveEnabled ( )

Returns a value that indicates whether add vertex on curve relation recognition for the last vertexes added to the collector
Created in NX11.0.0.



License requirements : None

bool NXOpen::Features::CurveFinderBuilder::VertexOnCurveSketchGroupEnabled ( )

Returns a value that indicates whether add vertex on curve relation recognition for the last vertexes added to the collector
Created in NX11.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.